#! /bin/bash

# ===== init local variables

m_LogFile=/custom_nuance/Nua_Init_Igel.log
m_FilePathModuleIni=/usr/lib/ICAClient/config/module.ini
m_WorkDir=/custom_nuance/Nuance_CEL_Files

# ===== create install log file

echo "Start of log file for $0" > $m_LogFile
date >> $m_LogFile

# ===== change module.ini

# get VirtualDriver names in a local variable
m_VD=$($m_WorkDir/nuainitool -f $m_FilePathModuleIni -s "ICA 3.0" VirtualDriver) &>> $m_LogFile
# echo "m_VD = $m_VD" >> $m_LogFile

# add VirtualDriver  names SbExt, PspMix in section "ICA 3.0"
$m_WorkDir/nuainitool -f $m_FilePathModuleIni -s "ICA 3.0" VirtualDriver="$m_VD, SbExt, PspMix" &>> $m_LogFile

# set SbExt=On in section "ICA 3.0"
$m_WorkDir/nuainitool -f $m_FilePathModuleIni -s "ICA 3.0" SbExt=On &>> $m_LogFile
# add new section SbExt with driver name
$m_WorkDir/nuainitool -f $m_FilePathModuleIni -s SbExt DriverName=SMCAUDIO.DLL &>> $m_LogFile

# set PspMix=On in section "ICA 3.0"
$m_WorkDir/nuainitool -f $m_FilePathModuleIni -s "ICA 3.0" PspMix=On &>> $m_LogFile
# add new section PspMix with driver name
$m_WorkDir/nuainitool -f $m_FilePathModuleIni -s PspMix DriverName=SMCMIXER.DLL &>> $m_LogFile

# ===== copy SMC drivers into ICA directory

cp -v $m_WorkDir/SMCAUDIO.DLL /usr/lib/ICAClient &>> $m_LogFile
cp -v $m_WorkDir/SMCMIXER.DLL /usr/lib/ICAClient &>> $m_LogFile
cp -v $m_WorkDir/libSMCVAD.so /usr/lib/ICAClient &>> $m_LogFile

# ===== copy log4crc into userhome directory as .log4crc

cp -v $m_WorkDir/log4crc /userhome/.log4crc &>> $m_LogFile

